Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.pfb
Class PfbParser

    java.lang.Object
      org.fontbox.pfb.PfbParser

public class PfbParser
extends Object

Parser for a pfb-file.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com), Michael Niedermair

Constructor Summary
`PfbParser(InputStream in)` Create a new object.
`PfbParser(String filename)` Create a new object.

Method Summary
`InputStream` | `getInputStream()` Returns the pfb data as stream.
`int[]` | `getLengths()` Returns the lengths.
`byte[]` | `getPfbdata()` Returns the pfbdata.
`int` | `size()` Returns the size of the pfb-data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PfbParser

    public PfbParser(String filename)
              throws IOException

  Create a new object.

Parameters:
  `filename` - the file name
Throws:
  `IOException` - if an IO-error occurs.

### PfbParser

    public PfbParser(InputStream in)
              throws IOException

  Create a new object.

Parameters:
  `in` - The input.
Throws:
  `IOException` - if an IO-error occurs.

Method Detail

### getLengths

    public int[] getLengths()

  Returns the lengths.

  Returns:
    Returns the lengths.

### getPfbdata

    public byte[] getPfbdata()

  Returns the pfbdata.

  Returns:
    Returns the pfbdata.

### getInputStream

    public InputStream getInputStream()

  Returns the pfb data as stream.

  Returns:
    Returns the pfb data as stream.

### size

    public int size()

  Returns the size of the pfb-data.

  Returns:
    Returns the size of the pfb-data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD